> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapkey.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Template

> Send a template message with the Official WhatsApp API



## OpenAPI

````yaml openapi-v1  POST /message/sendTemplate/{instance}
openapi: 3.0.3
info:
  title: ZapKey
  version: 1.7.1
servers:
  - url: https://api.zapkey.io
security: []
paths:
  /message/sendTemplate/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send Template
      description: Send a template message with the Official WhatsApp API
      operationId: sendTemplate
      parameters:
        - name: instance
          in: path
          required: true
          description: ID of the instance to connect
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                number:
                  type: string
                  description: Message receiver number with country code
                templateMessage:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Template name
                    language:
                      type: string
                      description: Template language
                      example: pt_BR
                    components:
                      type: array
                      description: Template components
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - header
                              - body
                              - button
                          sub_type:
                            type: string
                            enum:
                              - quick_reply
                              - url
                              - copy_code
                              - catalog
                          index:
                            type: string
                            description: Button index from 0-9
                          parameters:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  description: Parameter type
                                  enum:
                                    - payload
                                    - text
                                    - coupon_code
                                    - currency
                                    - date_time
                                    - image
                                    - document
                                    - video
                                text:
                                  type: string
                                  description: Parameter text
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````